## dpkg 1.19.0.4

=== debian/changelog ===
dpkg (1.19.0.4) unstable; urgency=medium

  * Perl modules:
    - Check that $tarname is defined before use in Dpkg::Source::Package::V1.
      Thanks to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>.
      Closes: #879124
  * Packaging:
    - Add Breaks on debhelper << 10.10.1~ to dpkg-dev, so that debhelper users
      wanting to use R³ support do not need a versioned dependency on dpkg-dev.
    - Add Breaks dgit << 3.13~ to libdpkg-perl, as older dgit versions assumed
      that Dpkg::Compression::Process was available, via implicit import
      from Dpkg::Source::Package.
      Reported by Ian Jackson <ijackson@chiark.greenend.org.uk>.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Oct 2017 23:47:08 +0200

dpkg (1.19.0.3) unstable; urgency=medium

  * Pass the correct source stanza to the dpkg-buildpackage code parsing the
    Rules-Requires-Root field. This meant the field was being ignored.
  * Setup and check rootcommand in dpkg-buildpackage only if it is going to
    be needed. Reported by Niels Thykier <niels@thykier.net>.
  * Documentation:
    - Add a missing dot on the dpkg-buildflags(1) «lfs» feature paragraph.
      Spotted by Helge Kreutzmann <debian@helgefjell.de>.
  * Packaging:
    - Comment out Rules-Requires-Root field until debhelper supports it.

 -- Guillem Jover <guillem@debian.org>  Sat, 21 Oct 2017 16:01:15 +0200

dpkg (1.19.0.2) unstable; urgency=medium

  * Fix logic in dpkg-buildpackage to decide whether to run build targets,
    which broke tons of packages that are violating Debian policy MUSTs.
    Thanks to James Clarke <jrtc27@debian.org>. Closes: #878899
  * Do not try to recompute hashes for the .dsc file when signing binary-only
    builds in dpkg-buildpackage. Reported by Ximin Luo <infinity0@debian.org>.
  * Packaging:
    - Add Breaks to libdpkg-perl against pkg-kde-tools (<< 0.15.28~), as
      that package is using private modules with no API guarantees, that
      obviously broke due to recent changes in 1.19.0. Closes: #878919

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Oct 2017 01:28:20 +0200

dpkg (1.19.0.1) unstable; urgency=medium

  * Packaging:
    - Install update-alternatives policykit-1 file.
  * Test suite:
    - Skip Dpkg::OpenPGP test if gpg is not present.

 -- Guillem Jover <guillem@debian.org>  Tue, 17 Oct 2017 04:50:11 +0200

dpkg (1.19.0) unstable; urgency=medium

  [ Guillem Jover ]
  * Remove an unused variable in dpkg-shlibdeps.
    Thanks to Niels Thykier <niels@thykier.net>.
  * Parse start-stop-daemon usernames and groupnames starting with digits in
    -u and -c correctly. Reported by Bodo Eggert <7eggert@online.de>.
  * Cache the result of «dpkg-query --control-path» calls in dpkg-shlibdeps.
    Based on a patch by Niels Thykier <niels@thykier.net>. Closes: #846405
  * Always use the binary version for the .buildinfo filename in
    dpkg-genbuildinfo. Reported by Raphaël Hertzog <hertzog@debian.org>.
    Closes: #869236
  * Fix integer overflow in deb(5) format version parser.
    Closes: #868356
  * Re-enable upstream tar signatures when building source format 1.0.
  * Make dpkg-deb --build sanity check the config maintainer script file type
    and permissions.
  * Add support to dpkg-deb for rootless builds, by setting the owner and
    group for the control.tar entries to root:root, and making it possible to
    do the same for the data.tar entries via the new --root-owner-group option.
    Based on a patch by Niels Thykier <niels@thykier.net>. Closes: #291320
  * Make dpkg-buildpackage error out if --as-root is passed without
    --rules-target.
  * Add support for rootless builds in dpkg-buildpackage by honoring the
    Rules-Requires-Root (R³) field.
  * Add new dpkg-buildflags --query command, which is like --status but in
    deb822 format.
  * Remove long obsolete dselect floppy method.
  * Remove traces of non-US support from dselect methods.
  * Add support for a new Build-Kernel-Version field in .buildinfo files,
    that can be emitted with a new dpkg-genbuildinfo --always-include-kernel
    option. Closes: #873937
  * Make dpkg-genchanges honor substvars in .changes Description field.
    Closes: #856547
  * Add support for source package Description and substvars. This new
    field in the debian/control source stanza will be copied into the .dsc
    file, and will also be used to initialize the new source:Synopsis and
    source:Extended-Description substvars that will be available when
    generating the DEBIAN/control and .changes files. Closes: #555743
  * Add new “future” feature area in dpkg-buildflags:
    - Add new «lfs» feature, to be used instead of the getconf(1) interface
      which cannot support cross-building.
  * Add new buildtools.mk make fragment to support build tools variable
    setup, for both TOOL and TOOL_FOR_BUILD variables. Not included by
    default from default.mk.
  * Make --uniform-compression the new default dpkg-deb behavior. Add support
    for negating the option via --no-uniform-compression.
  * Clarify subprocess error message by shuffling words around.
  * Print the package name on maintainter script errors. Closes: #877521
  * Fix capitalization of Debian in dpkg-deb output messages.
  * Add a policikit file for running update-alternatives via pkexec.
    Propose by Boyuan Yang <073plan@gmail.com>.
  * Perl modules:
    - Switch from Dpkg::Util to List::Util, now that the module in the
      new required Perl contains the needed functions.
    - Add a new "unique_tuple_key" option to Dpkg::Index set_options() to
      set better default "get_key_func" options, which will become the default
      behavior in 1.20.x. Prompted by Johannes Schauer <josch@debian.org>.
    - Mark ppc64 and powerpc as having gcc builtin PIE in Dpkg::Vendor::Debian.
    - Make the Dpkg::Substvars warnings output deterministic.
      Thanks to Chris Lamb <lamby@debian.org>. Closes: #870221
    - Remove unused POSIX module imports.

