## dpkg 1.19.0.5

=== debian/changelog ===
dpkg (1.19.0.5) unstable; urgency=medium

  * Fix directory traversal with dpkg-deb --raw-extract, by guaranteeing
    that the DEBIAN pathname does not exist. Closes: #879982
    Reported by Jakub Wilk <jwilk@jwilk.net>.
  * Rename DPKG_GAIN_ROOT_CMD to DEB_GAIN_ROOT_CMD in the R³ support, as
    the variable is expected to be set by any builder, not just dpkg. And
    introduce ephemereal backwards compatibility even though there are no
    known users.
  * Do not set DEB_GAIN_ROOT_CMD in dpkg-buildpackage when the R³ value is
    <implementations-keywords>, following the specification.
  * Specify that DEB_GAIN_ROOT_CMD in R³ should preserve the environment.
    Proposed by Josh Triplett <josh@joshtriplett.org>.
  * Specify new DEB_RULES_REQUIRES_ROOT variable for R³ support.
  * Declare R³ specification as "recommendation, stable" with version 1.0.
  * Architecture support:
    - Add support for riscv64 CPU. Closes: #822914
      Thanks to Manuel A. Fernandez Montecelo <mafm@debian.org>
  * Perl modules:
    - Dpkg::Vendor::Debian: Use proper %use_feature key. This was causing perl
      errors on paths not accapted for fixdebugpath.
      Reported by Mattia Rizzolo <mattia@debian.org>, on IRC. Closes: #881051
    - Check that $state->{seen} exists instead of $state being just defined.
      Fixes regression in dpkg-gensymbols symbols output.
      Thanks to Dmitry Shachnev <mitya57@debian.org>. Closes: #880166
    - Mark hurd-i386 as having gcc builtin PIE in Dpkg::Vendor::Debian.
      Requested by Samuel Thibault <sthibault@debian.org>.

 -- Guillem Jover <guillem@debian.org>  Wed, 17 Jan 2018 03:27:34 +0100
