## dpkg 1.19.0.5ubuntu2

=== debian/changelog ===
dpkg (1.19.0.5ubuntu2) bionic; urgency=medium

  * Add Zstandard compression and decompression support for binary packages
    (LP: #1764220)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 16 Apr 2018 04:25:21 +0200

dpkg (1.19.0.5ubuntu1) bionic; urgency=medium

  * Merge from current Debian testing; remaining Ubuntu changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Jan 2018 15:19:21 -0700

dpkg (1.19.0.4ubuntu1) bionic; urgency=medium

  * Merge from current Debian unstable; remaining Ubuntu changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Oct 2017 18:17:32 -0600
