## dpkg 1.19.0.5ubuntu2.2+9.0trisquel1

=== debian/changelog ===
dpkg (1.19.0.5ubuntu2.2+9.0trisquel1) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 21 Aug 2019 10:21:08 +0000

dpkg (1.19.0.5ubuntu2.2) bionic; urgency=medium

  * Cherry-pick upstream fixes for trigger loops (LP: #1828639)
    - dpkg: Negate tortoise_not_in_hare() function name and return value
    - dpkg: Initialize trigcyclenode's next member once
    - dpkg: Factor trigproc_new_cyclenode() out from check_trigger_cycle()
    - dpkg: Mark the package we are giving up on a trigger cycle as istobe normal
    - dpkg: Switch dependtry from an int to an enum
    - dpkg: Reset progress_bytrigproc once we have injected into the current iteration
    - dpkg: Split trigger processing types into required, try-queued and try-deferred
    - dpkg: Convert one trigger processing required type into the new try-queued
    - dpkg: Move trigproc cycle reset inside try-deferred conditional
    - dpkg: Introduce a new dependency try level for trigger processing
    - dpkg: Introduce a new dependency try level for trigger cycle checks

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 16 Jul 2019 14:57:11 +0200

dpkg (1.19.0.5ubuntu2.1) bionic; urgency=medium

  * Apply patch from upstream to add frontend locking (LP: #1796081):
    - Add support for frontend locking. This makes it possible for frontends
      using this new protocol, to safely lock the dpkg database w/o risk of
      race conditions with other dpkg instances or frontends supporting the
      same protocol.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Oct 2018 14:21:49 +0200
