## dpkg 1.19.0.5ubuntu2.4

=== debian/changelog ===
dpkg (1.19.0.5ubuntu2.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Directory traversal issue in dpkg-source
    - scripts/Dpkg/Source/Archive.pm, scripts/t/Dpkg_Source_Archive.t:
      Prevent directory traversal for in-place extracts.
    - CVE-2022-1664

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 May 2022 07:14:56 -0400
