=== debian/rules ===
--- 
+++ 
@@ -41,15 +41,10 @@
 
 D := $(CURDIR)/debian/tmp
 
-# Create configure script if necessary, automake handles rebuilding it.
-configure:
+# Configure the build tree
+build-tree/config.status:
 	dh_testdir
-
-	autoreconf -v -i
-
-# Configure the build tree
-build-tree/config.status: configure
-	dh_testdir
+	dh_autoreconf
 
 	install -d build-tree
 	cd build-tree && ../configure $(confflags) \
@@ -153,6 +148,7 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf build-tree
+	dh_autoreconf_clean
 	dh_clean
