## dpkg 1.19.0.5ubuntu2.4%2B9.0trisquel1

=== debian/changelog ===
dpkg (1.19.0.5ubuntu2.4+9.0trisquel1) etiona-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 May 2022 13:36:41 +0000
