## dpkg 1.19.0.5ubuntu5

=== debian/changelog ===
dpkg (1.19.0.5ubuntu5) cosmic; urgency=medium

  * Manually do autoreconf -fi to pick up new automake 1.16

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Sep 2018 13:46:04 +0200

dpkg (1.19.0.5ubuntu4) cosmic; urgency=medium

  * Apply patch from upstream to add frontend locking:
    - Add support for frontend locking. This makes it possible for frontends
      using this new protocol, to safely lock the dpkg database w/o risk of
      race conditions with other dpkg instances or frontends supporting the
      same protocol. Thanks to Julian Andres Klode <jak@debian.org>.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 08 Aug 2018 10:58:53 +0200

dpkg (1.19.0.5ubuntu3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 15:19:09 +0000
