## dpkg 1.19.4

=== debian/changelog ===
dpkg (1.19.4) unstable; urgency=medium

  * start-stop-daemon: Do not sanity check the pidfile when it is specified as
    /dev/null, as that implies the caller wants to start the program no matter
    what. Closes: #920242
  * Portability:
    - start-stop-daemon: Only use SO_PASSCRED if defined. Fixes build failure
      at least on GNU/Hurd.
  * Packaging:
    - autopkgtest: Pass --disable-nls and --disable-dselect to configure.
    - autopkgtest: Change Depends to «build-essential, autoconf, pkg-config».

 -- Guillem Jover <guillem@debian.org>  Wed, 23 Jan 2019 13:06:39 +0100

dpkg (1.19.3) unstable; urgency=medium

  [ Guillem Jover ]
  * dpkg-source: Stop filtering @builddeps@ from Testsuite-Triggers field.
    Closes: #910734
  * dpkg-genchanges: Only reference binary packages being uploaded, which
    means that for a source-only upload, the Binary and Description fields
    should be empty. Closes: #818618
  * dpkg-scanpackages: Do not compute unnecessary checksums when using the
    --hash argument. Based on a patch by Chris Lamb <lamby@debian.org>.
    Closes: #916456
  * dpkg-scanpackages: Emit a warning with the list of repeat packages.
    Prompted by Johannes Schauer <josch@debian.org>.
  * start-stop-daemon: Check whether standalone --pidfile use is secure.
    Prompted by Michael Orlitzky <michael@orlitzky.com>.
  * start-stop-daemon: Print complete verbose lines, instead of partial lines
    with no newlines and a final print with a newline.
  * start-stop-daemon: Add new --notify-await and --notify-timeout options,
    which implement the systemd readiness protocol for services.
    Closes: #910707
  * update-alternatives: Add new --debug option.
  * update-alternatives: Fix removal of obsolete slaves from the linked list.
    Reported by Andreas Beckmann <anbe@debian.org>. Closes: #916799
  * vendor.mk: Fix dpkg_vendor_derives_from macro documentation.
    Thanks to Colin Watson <cjwatson@debian.org>. Closes: #913816
  * vendor.mk: Add support for an improved dpkg_vendor_derives_from macro.
    Version the macros so that both can be used, and default the unversioned
    one to the version 0 macro.
  * dpkg: Mark the package we are giving up on a trigger cycle as "istobe"
    normal, so that the dependency checks know they cannot expect this package
    to be processed anymore. Otherwise we ended up never detecting that we
    were not making progress, as we expected to process this package at a later
    point, when that would never happen anymore. This then was causing asserts
    in the process queue loop. Closes: #901127, #910819
  * dpkg: Reset progress_bytrigproc once we have injected it into the current
    package process queue iteration, so that we do not keep trying to process
    it, which might end up generating artificial trigger cycles, if
    dependencies are not satisfied yet.
  * dpkg: Convert one trigger processing required type into the new try-queued
    one, so that we stop skipping unsatisfiable dependency checks.
  * dpkg: Move trigproc cycle reset inside try-deferred conditional. We should
    only reset the cycle detection in case we are not bailing out from the
    processing with an error, otherwise we could come back to this package and
    detect an artificial trigger cycle.
  * dpkg: Introduce a new dependency try level for trigger processing. This
    completely defers trigger processing until after the dependency cycle
    breaking level, so to avoid generating artificial trigger cycles, when we
    end up trying to process triggers with yet unsatisifiable dependencies.
    Closes: #810724, #854478, #911620
  * dpkg: Fix --help output, to clarify which arguments are optional.
  * libdpkg: Add proper tar error handling. This makes the tar extractor
    track and report back parse errors, so that we can give more descriptive
    messages.
  * libdpkg: Detect unsupported tar entry types to give better error messages.
  * libdpkg: Add new db-fsys:Files and db-fsys:Last-Modified virtual fields.
  * Perl modules:
    - Dpkg::Changelog::Debian: Preserve modelines at EOF. Closes: #916056
      Thanks to Chris Lamb <lamby@debian.org> for initial test cases.
    - Dpkg::File: Make file_slurp() also accept pathnames in addition to
      filehandles.
    - Dpkg::Vendor::Ubuntu: Fix buildflags override after default setting move.
      Based on a patch by Iain Lane <laney@ubuntu.com> and
      Adam Conrad <adconrad@ubuntu.com>. Closes: #915881
    - Dpkg::Shlibs::Objdump: Remove unused Dpkg::IPC import.
    - Dpkg::Shlibs::Objdump: Only select objdump program when going to use it.
    - Dpkg::Source::Package: Do not reinitialize fields member in constructor.
    - Dpkg::Source::Patch: Do not recommend --include-removal when not
      supported. Closes: #913012
    - Dpkg::Source::Package::V3::Bzr: Fix format name in output message.
    - Dpkg::Source::Package: Add a new format option to the new constructor.
      Prompted by James McCoy <jamesan@debian.org>.
    - Dpkg::Source::Package: Improve debian/source/format parsing and
      validation.
    - Dpkg::Source::Format: New public module.
      Prompted by Mattia Rizzolo <mattia@debian.org>.
  * Documentation:
    - dpkg(1): Clarify --remove action. Closes: #914478
    - dpkg-query(1): Clarify --list option behavior when no arguments are
      specified. Closes: #917098
    - deb-control(5): Clarify by adding a reference to deb-src-control(5) and
      removing an invalid comment in the example.
      Prompted by Helmut Grohne <helmut@subdivi.de>.
    - dpkg(1): Clarify databases used by --yet-to-unpack and --predep-package.
      Prompted by Johannes Schauer <josch@debian.org>.
    - Clarify character classes for various formats in man pages, by
      explicitly listing the character ranges within parenthesis.
      Prompted by Ian Jackson <ijackson@chiark.greenend.org.uk>.
    - dpkg-query(1): Document the version introducing the -f option.

