=== debian/control ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
 Homepage: https://wiki.debian.org/Teams/Dpkg
-Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/dpkg.git
-Vcs-Git: https://anonscm.debian.org/git/dpkg/dpkg.git
-Standards-Version: 4.1.0
-# We cannot enable R³ until debhelper supports it.
-#Rules-Requires-Root: no
+Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg.git
+Vcs-Git: https://git.dpkg.org/git/dpkg/dpkg.git
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  pkg-config,
 # Needed for ITS support.
  gettext (>= 0.19.7),
 # Needed for --porefs.
  po4a (>= 0.43),
  zlib1g-dev,
- zstd,
  libbz2-dev,
- libzstd-dev,
  liblzma-dev,
  libselinux1-dev [linux-any],
- libncursesw5-dev,
+ libncurses-dev (>= 6.1+20180210) | libncursesw5-dev,
+# Needed for the functional test.
+ bzip2 <!nocheck>,
+ xz-utils <!nocheck>,
 
 Package: dpkg
 Architecture: any
@@ -41,6 +40,8 @@
  apt,
  debsig-verify,
 Breaks:
+# Due to --status-fd not duplicating output.
+ libapt-pkg5.0 (<< 1.7~b),
 # Due to removal of dpkg-divert compat symlink.
  amule (<< 2.3.1+git1a369e47-3),
 # Due to removal of dpkg-statoverride compat symlink.
@@ -70,7 +71,6 @@
 Depends:
  ${misc:Depends},
  zlib1g-dev,
- libzstd-dev,
  liblzma-dev,
  libbz2-dev,
 Description: Debian package management static library
@@ -124,10 +124,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
-# XXX: This needs to be perl:any, but that breaks debootstrap in jessie
-# (the current stable), it could be fixed once and iff stretch is stable
-# and contains a fixed debootstrap.
- perl,
+ perl:any,
 # Needed for arch tuples.
  dpkg (>= 1.18.11),
 Recommends:
@@ -144,6 +141,8 @@
  gcc | c-compiler,
  binutils,
  patch,
+# Used (if available) by Dpkg::Source::Package::V2.
+ sensible-utils,
 # Needed by Dpkg::Source::Package::V3::Git
  git,
 # Needed by Dpkg::Source::Package::V3::Bzr
@@ -167,14 +166,14 @@
   - Dpkg::Build::Info: build information functions
   - Dpkg::BuildFlags: set, modify and query compilation build flags
   - Dpkg::BuildOptions: parse and manipulate DEB_BUILD_OPTIONS
-  - Dpkg::BuildProfile: parse and manipulate build profiles
+  - Dpkg::BuildProfiles: parse and manipulate build profiles
   - Dpkg::Changelog: parse changelogs
   - Dpkg::Changelog::Entry: represents a changelog entry
   - Dpkg::Changelog::Parse: generic changelog parser for dpkg-parsechangelog
   - Dpkg::Checksums: generate and parse checksums
   - Dpkg::Compression: simple database of available compression methods
+  - Dpkg::Compression::FileHandle: transparently (de)compress files
   - Dpkg::Compression::Process: wrapper around compression tools
-  - Dpkg::Compression::FileHandle: transparently (de)compress files
   - Dpkg::Conf: parse dpkg configuration files
   - Dpkg::Control: parse and manipulate Debian control information
     (.dsc, .changes, Packages/Sources entries, etc.)
@@ -183,7 +182,14 @@
   - Dpkg::Control::Hash: parse and manipulate a block of RFC822-like fields
   - Dpkg::Control::Info: parse files like debian/control
   - Dpkg::Control::Tests: parse files like debian/tests/control
+  - Dpkg::Control::Tests::Entry: represents a debian/tests/control stanza
   - Dpkg::Deps: parse and manipulate dependencies
+  - Dpkg::Deps::Simple: represents a single dependency statement
+  - Dpkg::Deps::Multiple: base module to represent multiple dependencies
+  - Dpkg::Deps::Union: list of unrelated dependencies
+  - Dpkg::Deps::AND: list of AND dependencies
+  - Dpkg::Deps::OR: list of OR dependencies
+  - Dpkg::Deps::KnownFacts: list of installed and virtual packages
   - Dpkg::Exit: push, pop and run exit handlers
   - Dpkg::Gettext: wrapper around Locale::gettext
   - Dpkg::IPC: spawn sub-processes and feed/retrieve data
@@ -191,6 +197,7 @@
     example)
   - Dpkg::Interface::Storable: base object serializer
   - Dpkg::Path: common path handling functions
+  - Dpkg::Source::Format: manipulate debian/source/format files
   - Dpkg::Source::Package: extract Debian source packages
   - Dpkg::Substvars: substitute variables in strings
   - Dpkg::Vendor: identify current distribution vendor
