=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,12 @@
 # Copyright © 2004 Scott James Remnant <scott@netsplit.com>
 # Copyright © 2006-2012 Guillem Jover <guillem@debian.org>
 
-WFLAGS := -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers
+WFLAGS := \
+	-Wall -Wextra \
+	-Wno-missing-field-initializers \
+	-Wno-nonnull-compare \
+	-Wno-unused-parameter \
+	$(nil)
 
 # Use the in-tree dpkg-buildflags
 dpkg_buildflags = \
@@ -28,8 +33,9 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	confflags += --with-libselinux
 endif
-ifeq (,$(filter maintainer-build,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
 	confflags += --disable-silent-rules
+	testflags += TESTSUITEFLAGS=--verbose
 endif
 
 # Enable parallel test suite
@@ -41,10 +47,15 @@
 
 D := $(CURDIR)/debian/tmp
 
+# Create configure script if necessary, automake handles rebuilding it.
+configure:
+	dh_testdir
+
+	./autogen
+
 # Configure the build tree
-build-tree/config.status:
+build-tree/config.status: configure
 	dh_testdir
-	dh_autoreconf
 
 	install -d build-tree
 	cd build-tree && ../configure $(confflags) \
@@ -59,7 +70,6 @@
 		--with-devlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--without-libmd \
 		--with-libz \
-		--with-libzstd \
 		--with-liblzma \
 		--with-libbz2
 
@@ -74,8 +84,7 @@
 	dh_testdir
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd build-tree && $(MAKE) VERBOSE=1 TESTSUITEFLAGS=--verbose \
-	                         TEST_PARALLEL=$(NUMJOBS) check
+	cd build-tree && $(MAKE) $(testflags) TEST_PARALLEL=$(NUMJOBS) check
 endif
 
 # Install the package underneath debian/tmp
@@ -148,7 +157,6 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -rf build-tree
-	dh_autoreconf_clean
 	dh_clean
