## dpkg 1.19.5

=== debian/changelog ===
dpkg (1.19.5) unstable; urgency=medium

  [ Guillem Jover ]
  * start-stop-daemon: Make sure that we get a meaningful errno on
    parse_unsigned(), so that the error messages always make sense.
  * start-stop-daemon: Add new fatalv() and fatale() functions and use the
    latter for system errors, so that we are explicit on whether we want to
    use errno for error reporting or not.
  * start-stop-daemon: Always refuse to parse a world-writable pidfile,
    except when that is /dev/null.
  * dpkg: Print the current set of enabled force options on --force-help.
  * dpkg: Parse and set new DPKG_FORCE environment variable for subprocesses.
    Closes: #666147
  * dpkg-statoverride: Add support for --force-* options.
  * dpkg-statoverride: Switch from --force option to new --force-<thing>
    options. Deprecate --force option which will be considered an alias for
    --force-all for now.
  * dpkg, dpkg-statoverride: Add new option --refuse-security-mac to control
    SELinux. See #811037.
  * dpkg: Clarify error on unknown system user/group in statoverride database.
    Closes: #920880
  * dpkg-buildpackage: Clarify the warning/error on short OpenPGP key IDs.
    Closes: #922039
  * dpkg-maintscript-helper: Restrict find for dir-to-symlink move to
    -maxdepth 1. Thanks to Ralf Treinen <treinen@free.fr>. Closes: #922799
  * dpkg-genbuildinfo: Add support for a new Build-Tainted-By field in
    .buildinfo files. Suggested by Alexander E. Patrakov <patrakov@gmail.com>.
  * libdpkg: Clarify field names in error and warning messages.
  * libdpkg: Optimize error handling. Move the error reporting outside the
    involved functions so that we do not need to call gettext if there is no
    error, which has a significant performance cost.
  * libdpkg: Merge nicknames table into fieldinfos, to stop penalizing the
    lookup of non-obsolete fieldnames.
  * libdpkg: Print a more accurate warning for Revision nicknames.
  * libdpkg: Increase the pkg-hash bins size to 65521, to improve hash table
    performance at the cost of a bit more memory usage.
  * libdpkg: Blank packages that are not-installed with unknown selection.
    Closes: #922410
  * libdpkg, dpkg: Print the dpkg database directory on access errors.
    Closes: #883700
  * Perl modules:
    - Dpkg::Vendor::Debian: Add support for merged-usr-via-symlinks tainted
      tag. Suggested by Alexander E. Patrakov <patrakov@gmail.com>.
    - Dpkg::Vendor::Debian: Add support for usr-local-has-* tainted tags.
    - Dpkg::Source::Package: Add a missing use Dpkg::Source::Format.
      Diagnosed by Ian Jackson <ijackson@chiark.greenend.org.uk>.
      Closes: #921031
  * Documentation:
    - start-stop-daemon(1): Document behavior of --pidfile security checks.
      Closes: #921557
    - dpkg(1): Document the unknown selection state. Closes: #922407
  * Code internals:
    - dpkg: Move SELinux fallback label to the SELinux specific code path.
    - dpkg: Simplify maintscript_set_exec_context().
    - dpkg: Move force options support into its own file.
    - dpkg: Do not hardcode the program name in the --force-help output.
    - dpkg: Switch force options from individual variables to bit fields.
    - dpkg: Switch from a char to an enum to track the force options types.
    - dpkg: Switch to set the default force option from the forceinfos array.
    - libdpkg: New benchmark programs and infrastructure.
    - libdpkg: Add new dpkg_error_move() function.
    - libdpkg: Add new dpkg_has_error() function.
    - libdpkg: Move status names from parse errors to arguments.
    - libdpkg: Use va_arg copy instead of the original on a vasprintf() call.
    - libdpkg: Include <string.h> in pager.c.
      Reported by Y <sevener@cock.li>. Closes: #922212
    - libdpkg: Use pkg_set_want() instead of a direct assignment.
  * Build system:
    - Check whether this dist is a release, based only on the version format.
      This will avoid having to do a two staged release to get a proper perl
      distribution tarball.
  * Packaging:
    - autopkgtest: Add file to Depends fields.
    - autopkgtest: Clarify behavior on root/non-root requirement.
    - Bump Standards-Version to 4.3.0 (no changes required).
    - Remove now unused assert usertag description.
    - Remove trailing whitespace from changelog.
    - Remove Origin and Bugs fields from control file.
    - Include a bug-script to report on tainted merged-usr-via-symlinks.
  * Test suite:
    - libdpkg: Fix unit test for file_slurp(). Closes: #920974
      Diagnosed by Frank Schaefer <kelledin@gmail.com>.

  [ Updated programs translations ]
  * Dutch (Frans Spiesschaert). Closes: #921942
  * German (Sven Joachim).
  * Simplified Chinese (Zhou Mo). Closes: #920972

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated man pages translations ]
  * Dutch (Frans Spiesschaert). Closes: #921943
  * French (Jean-Pierre Giraud). Closes: #920905
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Sat, 23 Feb 2019 18:00:54 +0100
