## dpkg 1.19.6

=== debian/changelog ===
dpkg (1.19.6) unstable; urgency=medium

  [ Guillem Jover ]
  * libdpkg: Add a new TAR_FORMAT_UNKNOWN enum value.
  * libdpkg: Set tar_entry to zero on tar_entry_destroy(), to avoid double
    free()s and the subsequent crashes.
  * libdpkg: Handle non end-of-tape errors from tar_header_decode().
  * libdpkg: Use ERANGE instead of EINVAL for tar_atol8() out-of-range error.
  * dpkg-gencontrol: Check presence of package build dir before traversing it.
  * Perl modules:
    - Dpkg::Source::Package::V1: Change default build option style to -sa.
      Using -sA by default means the user might lose data on overwrite if
      there is already a directory with the same name laying around.
      Closes: #910737
    - Dpkg::Source::Package: Handle Format field being undefined. On source
      format 1.0, the default is for the debian/source/format file not being
      present, which means we'll start with an empty Format field name.
      Regression introduced in dpkg 1.19.3.
  * Packaging:
    - Update usertags.
    - Install a lintian profile for dpkg based on the debian profile, so that
      we can suppress Debian-specific tags, such as the controversial one on
      vendor-specific patch series files.
    - Add Breaks on lsb-base due to start-stop-daemon exposing breakage in
      the killproc function from /lib/lsb/init-functions. Closes: #923861
  * Test suite:
    - Stop requiring (pseudo-)root in the functional test suite.
    - Export and move TESTDATA definition close to the PATH definition.
    - Quote the 'yes' command to make a comment clearer.

  [ Updated programs translations ]
  * Dutch (Frans Spiesschaert). Closes: #924776

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated man pages translations ]
  * Dutch (Frans Spiesschaert). Closes: #924777
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Mar 2019 15:08:26 +0100
